Subject: Re: [PATCH] entry.c: Use strerror() to print error info when possible

From: "Luiz Fernando N. Capitulino" <[email-masked]>
Date: Sun, 15 Apr 2007 20:54:33 -0300

Em Sun, 15 Apr 2007 15:54:47 -0700
Junio C Hamano <[email-masked]> escreveu:

| "Luiz Fernando N. Capitulino" <[email-masked]>
| writes:
| 
| > Signed-off-by: Luiz Fernando N. Capitulino <[email-masked]>
| > ---
| >  entry.c |   11 ++++++-----
| >  1 files changed, 6 insertions(+), 5 deletions(-)
| >
| > diff --git a/entry.c b/entry.c
| > index d72f811..c36c09d 100644
| > --- a/entry.c
| > +++ b/entry.c
| > @@ -19,7 +19,8 @@ static void create_directories(const char *path, struct checkout *state)
| >  				if (!stat(buf, &st) && S_ISDIR(st.st_mode))
| >  					continue; /* ok */
| >  			}
| > -			die("cannot create directory at %s", buf);
| > +			die("cannot create directory at %s (%s)", buf,
| > +			    strerror(errno));
| >  		}
| >  	}
| >  	free(buf);
| 
| This hunk is wrong; stat() you see in the context could have
| been what failed the last before this die().

 You right, will try to read the code more carefully before
patching.

| I do not think other places you patched do not share the issue.

 Other places seems ok, I'll review and re-send along with other
patches I'm working on.

 Thanks a lot for the feedback.